Bug 108507 - New port: japanese/seaside
Summary: New port: japanese/seaside
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-29 07:10 UTC by Takeshi MUTOH
Modified: 2007-01-30 10:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi MUTOH 2007-01-29 07:10:17 UTC
=20

=46rom pkg-descr:

Seaside is a framework for developing sophisticated web applications in Sma=
lltalk.
This version of Seaside is applied Japanized patch.

WWW: http://seaside.st/
     http://swikis.ddo.jp/umejava/22

Fix: =20

Please use this shar archive:



--
Takeshi MUTOH	<mutoh@openedu.org>--dt73gbkTlfs7fLkw8RFLAHeoY6eeJkhcmNqLdbEFdbPaf5ad
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	.
#	./Makefile
#	./distinfo
#	./pkg-descr
#	./pkg-plist
#	./pkg-message
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# New ports collection makefile for:   	seaside
X# Date created:        			27 January 2007
X# Whom:                			mutoh@openedu.org
X#
X# $FreeBSD:$
X#
X
XPORTNAME=3D		seaside
XPORTVERSION=3D		070105
XCATEGORIES=3D		japanese lang
XMASTER_SITES=3D		ftp://swikis.ddo.jp/SeasideJ/
XDISTNAME=3D		Seaside-JPatched${PORTVERSION}
X# DISTFILES=3D		Seaside-JPatched${PORTVERSION}.zip
XEXTRACT_ONLY=3D		Seaside-JPatched${PORTVERSION}.zip
X
XMAINTAINER=3D		mutoh@openedu.org
XCOMMENT=3D		Seaside: squeak based WWW application framework with Japanized=
 patch
X
XRUN_DEPENDS=3D		squeak:${PORTSDIR}/lang/squeak
X
XNO_BUILD=3D		yes
XUSE_ZIP=3D		yes
X
XDIST_SUBDIR=3D		squeak
X
XFILES_TO_GZIP=3D		Seaside-JPatched070105.image \
X			Seaside-JPatched070105.changes
X
XPLIST_SUB=3D		DATADIR=3Dshare/squeak
X
Xpost-extract:
X.for file in ${FILES_TO_GZIP}
X	(cd ${WRKDIR} && ${GZIP_CMD} ${file})
X.endfor
X
Xdo-install:
X.for file in ${FILES_TO_GZIP}
X	(cd ${WRKDIR} && ${INSTALL_DATA} ${file}.gz ${PREFIX}/share/squeak/)
X.endfor
X	${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-./Makefile
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (squeak/Seaside-JPatched070105.zip) =3D a2462fa674bc90fcabfdadf3b6c2e6=
17
XSHA256 (squeak/Seaside-JPatched070105.zip) =3D b3701d0c5d31228184046b70a3b=
86ce5d63f192f47050799f04a2a65b63e2855
XSIZE (squeak/Seaside-JPatched070105.zip) =3D 17863819
END-of-./distinfo
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XSeaside is a framework for developing sophisticated web applications in Sm=
alltalk.
XThis version of Seaside is applied Japanized patch.
X
XWWW: http://seaside.st/
X     http://swikis.ddo.jp/umejava/22
END-of-./pkg-descr
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
X%%DATADIR%%/Seaside-JPatched070105.image.gz
X%%DATADIR%%/Seaside-JPatched070105.changes.gz
END-of-./pkg-plist
echo x - ./pkg-message
sed 's/^X//' >./pkg-message << 'END-of-./pkg-message'
XRun seaside image and access:
X	http://localhost:9090/seaside/config
X
XDefault user/passwd is:
X	user:	admin
X	passwd:	admin.
END-of-./pkg-message
exit
Comment 1 Martin Wilke freebsd_committer 2007-01-29 09:12:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-01-30 10:36:25 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2007-01-30 10:36:38 UTC
miwi        2007-01-30 10:36:32 UTC

  FreeBSD ports repository

  Modified files:
    japanese             Makefile 
  Added files:
    japanese/seaside     Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Log:
  Seaside is a framework for developing sophisticated web applications
  in Smalltalk.
  This version of Seaside is applied Japanized patch.
  
  WWW: http://seaside.st/
  
  PR:             ports/108507
  Submitted by:   mutoh at openedu.org
  
  Revision  Changes    Path
  1.646     +1 -0      ports/japanese/Makefile
  1.1       +41 -0     ports/japanese/seaside/Makefile (new)
  1.1       +3 -0      ports/japanese/seaside/distinfo (new)
  1.1       +6 -0      ports/japanese/seaside/pkg-descr (new)
  1.1       +6 -0      ports/japanese/seaside/pkg-message (new)
  1.1       +2 -0      ports/japanese/seaside/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"